from itertools import islice
from math import log10
import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt

data_list = list()
with open('module_10.go','r') as go_annotation_file:
    for line in islice(go_annotation_file, 1, 11):
        items = line.strip().split('\t')
        term = items[1]
        count = int(items[3])
        pval = -log10(float(items[7]))
        data_list.append([term, count, 'Counts'])
        data_list.append([term, pval, 'P value (-log10)'])

df = pd.DataFrame(data_list)
df.columns = ["term", "value", "type"]

fig, ax = plt.subplots()
fig.set_size_inches(8, 4)
sns.set(style="white", context="talk")
current_palette = sns.color_palette()

g = sns.barplot(y="term", x="value", data=df, hue="type")
ax.set(ylabel="", xlabel="")
g.legend(loc='center left', bbox_to_anchor=(0.57, 0.48), ncol=1)

plt.savefig('go_bp.pdf', format='pdf', bbox_inches = 'tight')
